[SCM] vdr-plugin-dvdswitch packaging repository branch, master, updated. debian/0.2.0-2-9-g7cd793d

etobi git at e-tobi.net
Sat Mar 23 08:20:36 UTC 2013


The following commit has been merged in the master branch:
commit 10bf0dd5939dbc00e4ea1b9388a07bf3ad3bd9fa
Author: etobi <git at e-tobi.net>
Date:   Sat Mar 23 09:05:42 2013 +0100

    Added get-vcs-snapshot

diff --git a/debian/get-vcs-snapshot.sh b/debian/get-vcs-snapshot.sh
new file mode 100644
index 0000000..77439a4
--- /dev/null
+++ b/debian/get-vcs-snapshot.sh
@@ -0,0 +1,20 @@
+echo Downloading latest from git repository...
+set -e
+
+DEB_SOURCE_PACKAGE=`egrep '^Source: ' debian/control | cut -f 2 -d ' '`
+VERSION_UPSTREAM=`dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2 | cut -d- -f1 | sed -r 's/(.*)\+git.*/\1/'`
+VERSION_DATE=`/bin/date --utc +%0Y%0m%0d`
+VERSION_FULL="${VERSION_UPSTREAM}+git${VERSION_DATE}"
+
+git clone --depth 1 git://projects.vdr-developer.org/${DEB_SOURCE_PACKAGE}.git
+
+cd ${DEB_SOURCE_PACKAGE}
+GIT_SHA=`git show --pretty=format:"%h" --quiet | head -1 || true`
+cd ..
+
+tar --exclude=.git -czf "../${DEB_SOURCE_PACKAGE}_${VERSION_FULL}.orig.tar.gz" ${DEB_SOURCE_PACKAGE}
+
+rm -rf ${DEB_SOURCE_PACKAGE}
+
+git-import-orig --pristine-tar "../${DEB_SOURCE_PACKAGE}_${VERSION_FULL}.orig.tar.gz"
+dch -v "$VERSION_FULL-1" "New Upstream Snapshot (commit $GIT_SHA)"
diff --git a/debian/rules b/debian/rules
index 20b91bf..79741aa 100755
--- a/debian/rules
+++ b/debian/rules
@@ -22,3 +22,6 @@ override_dh_gencontrol:
 override_dh_install:
 	dh_install
 	chmod a+x debian/vdr-plugin-dvdswitch/usr/share/vdr-plugin-dvdswitch/*.sh
+
+get-vcs-snapshot:
+	sh debian/get-vcs-snapshot.sh

-- 
vdr-plugin-dvdswitch packaging repository



More information about the pkg-vdr-dvb-changes mailing list